bdi4jade.event

## Class BeliefEvent

- java.lang.Object
- - bdi4jade.event.BeliefEvent

- All Implemented Interfaces:
    jade.content.AgentAction, jade.content.Concept, jade.content.ContentElement, jade.content.Term, java.io.Serializable

      public class BeliefEvent
      extends java.lang.Object
      implements jade.content.AgentAction

  This class represents an event performed over a belief.
  Author:
    ingridnunes
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BeliefEvent.Action` This enumeration represents the set of possible actions that can be performed over a belief.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeliefEvent()` Default constructor.
    `BeliefEvent(Belief<?> belief)` Creates a Belief Changed.
    `BeliefEvent(Belief<?> belief, BeliefEvent.Action action)` Creates a Belief Changed.
    `BeliefEvent(Belief<?> belief, BeliefEvent.Action action, java.lang.Object args)` Creates a Belief Changed.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeliefEvent.Action` | `getAction()`
    `java.lang.Object` | `getArgs()`
    `Belief<?>` | `getBelief()`
    `void` | `setAction(BeliefEvent.Action action)`
    `void` | `setArgs(java.lang.Object args)`
    `void` | `setBelief(Belief<?> belief)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeliefEvent

          public BeliefEvent()

      Default constructor.

    - #### BeliefEvent

          public BeliefEvent(Belief<?> belief)

      Creates a Belief Changed.
      Parameters:
        `belief` - the belief that has changed.

    - #### BeliefEvent

          public BeliefEvent(Belief<?> belief,
                     BeliefEvent.Action action)

      Creates a Belief Changed.
      Parameters:
        `belief` - the belief that has changed.
        `action` - the action performed.

    - #### BeliefEvent

          public BeliefEvent(Belief<?> belief,
                     BeliefEvent.Action action,
                     java.lang.Object args)

      Creates a Belief Changed.
      Parameters:
        `belief` - the belief that has changed.
        `action` - the action performed.
        `args` - an argument passed for this action.

  - ### Method Detail

    - #### getAction

          public BeliefEvent.Action getAction()

      Returns:
        the action

    - #### getArgs

          public java.lang.Object getArgs()

      Returns:
        the args

    - #### getBelief

          public Belief<?> getBelief()

      Returns:
        the belief

    - #### setAction

          public void setAction(BeliefEvent.Action action)

      Parameters:
        `action` - the action to set

    - #### setArgs

          public void setArgs(java.lang.Object args)

      Parameters:
        `args` - the args to set

    - #### setBelief

          public void setBelief(Belief<?> belief)

      Parameters:
        `belief` - the belief to set